<?php

//USING
require_once 'controls/verifylogin.php';
require_once '../Class/model/FormasPagamentosModel.php';
require_once '../Class/model/PagamentosModel.php';
require_once '../Class/controller/BaixaPagamentosControl.php';
include_once('../Database/MySQL.Aux.php');

	$control = new BaixaPagamentosControl();
	$model = new PagamentosModel();
	$aux = new MySQLAux();

	$control->setDel();
	
	$del = $control->getDel();

	if ($del > 0)
	{
		$model->setId($del);
		$model->updateBaixasRemove();
	}
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head>

<title>Módulo Financeiro</title>

<?php include_once('controls/import.php'); ?>

</head>
<body>

<?php include_once('controls/header.php'); ?>

<div class="content">

<div class="form"><?php include_once('controls/menu.php'); ?>

<div id="conteudo-site">

<div class="titulo-conteudo-site"><img src="images/applications.png"
	title="" alt="" /> Baixa de pagamentos</div>



<div class="pg-botoes" style="float: right;"><a href="cadbaixapagamentos.php"
	class="submit"> cadastrar </a></div>
<br clear="all" />
<table border="0" cellpadding="3" cellspacing="0"
	class="gridPesquisa fundoGridPesquisa" width="100%">
	<tr>
		<th>Id</th>
		<th>Fornecedor</th>
		<th>Data do pagamento</th>
		<th>Forma de pagamento</th>
		<th>Data da baixa</th>
		<th></th>
	</tr>

	<?php

	foreach ($model->listAllBaixados() as $item) {
		
		echo "<tr>";
		echo "<td> <a href='cadpagamentos.php?id={$item->getId()}'> {$item->getId()} </a></td>";
		echo "<td> <a href='cadpagamentos.php?id={$item->getId()}'> {$control->RetornaFornecedor($item->getFornecedor())} </a> </td>";
		echo "<td> <a href='cadpagamentos.php?id={$item->getId()}'> {$aux->getDataBR($item->getDtPagamento())} </a> </td>";
		echo "<td> <a href='cadpagamentos.php?id={$item->getId()}'> {$control->RetornaFormaPagamento($item->getFormaPagamento())} </a> </td>";
		echo "<td> <a href='cadpagamentos.php?id={$item->getId()}'> {$aux->getDataBR($item->getBaixadoem())} </a> </td>";
		echo "<td> <a href='baixapagamentos.php?del={$item->getId()}' onclick='return RemoveItemBaixados();'> <img src='images/ico-minus.png' /> </td>";
		echo "</tr>";
	}

	?>
</table>
</div>

</div>

</div>

	<?php include_once('controls/footer.php'); ?>

</body>
</html>
